/*标准职位序列 预置*/
UPDATE T_HBJM_STANDARDJOBSEQ SET FORINUMBER = '1010_S' , FORINAME = '管理序列', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBJM_STANDARDJOBSEQ SET FORINUMBER = '1020_S' , FORINAME = '专业序列', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBJM_STANDARDJOBSEQ SET FORINUMBER = '1030_S' , FORINAME = '营销序列', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBJM_STANDARDJOBSEQ SET FORINUMBER = '1040_S' , FORINAME = '操作序列', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBJM_STANDARDJOBSEQ SET FORINUMBER = '1050_S' , FORINAME = '其他序列', FORISTATUS = '0' WHERE FID = 1050;
UPDATE T_HBJM_STANDARDJOBSEQ_L SET FORINAME = '管理序列' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_STANDARDJOBSEQ_L SET FORINAME = '专业序列' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_STANDARDJOBSEQ_L SET FORINAME = '营销序列' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_STANDARDJOBSEQ_L SET FORINAME = '操作序列' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_STANDARDJOBSEQ_L SET FORINAME = '其他序列' WHERE FID = 1050 AND FLOCALEID = 'zh_CN';

UPDATE T_HBJM_STANDARDJOBSEQ SET foristatus = '1' WHERE  FID in (1010,1020,1030,1040,1050) and (fname != foriname or fnumber!=forinumber);

/*变动操作 预置*/
UPDATE T_HBJM_CHANGEOPERATE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBJM_CHANGEOPERATE SET FORINUMBER = '1020_S' , FORINAME = '变更', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBJM_CHANGEOPERATE SET FORINUMBER = '1030_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBJM_CHANGEOPERATE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGEOPERATE_L SET FORINAME = '变更' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGEOPERATE_L SET FORINAME = '禁用' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';

UPDATE T_HBJM_CHANGEOPERATE SET foristatus = '1' WHERE  FID in (1010,1020,1030) and (fname != foriname or fnumber!=forinumber);
/*变动类型 预置*/
UPDATE T_HBJM_CHANGETYPE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBJM_CHANGETYPE SET FORINUMBER = '1020_S' , FORINAME = '变更', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBJM_CHANGETYPE SET FORINUMBER = '1030_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBJM_CHANGETYPE SET FORINUMBER = '1040_S' , FORINAME = '初始化新增', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBJM_CHANGETYPE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGETYPE_L SET FORINAME = '变更' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGETYPE_L SET FORINAME = '禁用' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGETYPE_L SET FORINAME = '初始化新增' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGETYPE SET foristatus = '1' WHERE  FID in (1010,1020,1030) and (fname != foriname or fnumber!=forinumber);
/*变动场景 预置*/
UPDATE T_HBJM_CHANGESCENE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBJM_CHANGESCENE SET FORINUMBER = '1020_S' , FORINAME = '变更', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBJM_CHANGESCENE SET FORINUMBER = '1030_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBJM_CHANGESCENE SET FORINUMBER = '1040_S' , FORINAME = '初始化新增', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBJM_CHANGESCENE SET FORINUMBER = '1050_S' , FORINAME = '初始化更新', FORISTATUS = '0' WHERE FID = 1050;
UPDATE T_HBJM_CHANGESCENE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESCENE_L SET FORINAME = '变更' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESCENE_L SET FORINAME = '禁用' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESCENE_L SET FORINAME = '初始化新增' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESCENE_L SET FORINAME = '初始化更新' WHERE FID = 1050 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESCENE SET foristatus = '1' WHERE  FID in (1010,1020,1030,1040,1050) and (fname != foriname or fnumber!=forinumber);
/*场景子类 预置*/
UPDATE T_HBJM_CHANGESUBSCENE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBJM_CHANGESUBSCENE SET FORINUMBER = '1020_S' , FORINAME = '信息变更', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBJM_CHANGESUBSCENE SET FORINUMBER = '1030_S' , FORINAME = '职位体系调整', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBJM_CHANGESUBSCENE SET FORINUMBER = '1040_S' , FORINAME = '职位职等职级调整', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBJM_CHANGESUBSCENE SET FORINUMBER = '1050_S' , FORINAME = '职位职责变化', FORISTATUS = '0' WHERE FID = 1050;
UPDATE T_HBJM_CHANGESUBSCENE SET FORINUMBER = '1060_S' , FORINAME = '职位任职要求变化', FORISTATUS = '0' WHERE FID = 1060;
UPDATE T_HBJM_CHANGESUBSCENE SET FORINUMBER = '1070_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1070;
UPDATE T_HBJM_CHANGESUBSCENE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESUBSCENE_L SET FORINAME = '信息变更' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESUBSCENE_L SET FORINAME = '职位体系调整' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESUBSCENE_L SET FORINAME = '职位职等职级调整' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESUBSCENE_L SET FORINAME = '职位职责变化' WHERE FID = 1050 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESUBSCENE_L SET FORINAME = '职位任职要求变化' WHERE FID = 1060 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESUBSCENE_L SET FORINAME = '禁用' WHERE FID = 1070 AND FLOCALEID = 'zh_CN';
UPDATE T_HBJM_CHANGESUBSCENE SET foristatus = '1' WHERE  FID in (1010,1020,1030,1040,1050,1060,1070) and (fname != foriname or fnumber!=forinumber);



